Support » Plugin: Stock Manager for WooCommerce » error: “cannot modify header…” since update

  • Resolved horiamar

    (@horiamar)


    Hello there, I would need help with the following error that occurs since update of the plugin to ver 2.5.6! What could be the reason of this error? Thank you in advance!

    Warning: Cannot modify header information – headers already sent by (output started at /home/customer/www/mybrandies.com/public_html/wp-content/plugins/woocommerce-stock-manager/admin/class-stock-manager-admin.php:493) in /home/customer/www/mybrandies.com/public_html/wp-includes/functions.php on line 6362

    here are the code parts this error refers to:
    line 493 in class-stock-manager-admin.php:

    <style type="text/css">
    				#wsm_promo_msg {
    					display: block !important;
    					background-color: #f2f6fc;
    					color: #fff;
    					border-left-color: #5850ec;
    				}

    line 6362 in functions.php:

    if ( ! did_action( 'wp_loaded' ) ) {
    		/**
    		 * Filters the list of protocols allowed in HTML attributes.
    		 *
    		 * @since 3.0.0
    		 *
    		 * @param string[] $protocols Array of allowed protocols e.g. 'http', 'ftp', 'tel', and more.
    		 */
    		$protocols = array_unique( (array) apply_filters( 'kses_allowed_protocols', $protocols ) );
    	}
    • This topic was modified 7 months ago by .

    The page I need help with: [log in to see the link]

Viewing 9 replies - 1 through 9 (of 9 total)
  • Thread Starter horiamar

    (@horiamar)

    Adding to my bug description above the following:

    I entered “Troubleshooting Mode” and tested if the WooCommerce Stock Manager still does the same error: with all themese deactivated (only theme “2021” active!) and all plugins deactivated, except WooCommerce and Woocommerce Stock Manager, the website still sends the same error message I cited here above, while in “admin dashboard” mode:

    Warning: Cannot modify header information – headers already sent by (output started at /home/customer/www/mybrandies.com/public_html/wp-content/plugins/woocommerce-stock-manager/admin/class-stock-manager-admin.php:493) in /home/customer/www/mybrandies.com/public_html/wp-includes/functions.php on line 6362

    • This reply was modified 7 months ago by .
    Thread Starter horiamar

    (@horiamar)

    I uninstalled the version 2.5.6 and installed instead the version 2.5.5. Result: no more error (as described above). So it is definitely a bug that was introduced in the last update of this plugin.

    Have the same issue since the new version.

    Same problem here… three different lines showing errors but all errors are “headers already sent”.

    Thread Starter horiamar

    (@horiamar)

    It is not quite encouraging to use this plugin (or pay for an upgrade), if there is no reply whatsoever from the side of the developer for five days…

    Plugin Author storeapps

    (@storeapps)

    Hi there,

    We are looking into this and will update soon.

    Plugin Author storeapps

    (@storeapps)

    Hi there,

    We have released a new version 2.5.7 which should fix this issue.

    Kindly update to the latest version and then have a check with the functionality.

    Let us know if it works correctly after that.

    Thread Starter horiamar

    (@horiamar)

    @storeapps
    thank you for your reply and update! that’s great news! I will test the new version 2.5.7!

    Plugin Author storeapps

    (@storeapps)

    Hi horiamar,

    You are welcome.

    If you are liking the plugin, please consider leaving a 5-star review from here.

Viewing 9 replies - 1 through 9 (of 9 total)
  • You must be logged in to reply to this topic.